Name:		autojump
Version:	22.5.3
Release:	%mkrel 1
Summary:	A fast way to navigate your filesystem from the command line
Group:		Shells
License:	GPLv3+
URL:		http://wiki.github.com/wting/autojump
Source:		https://github.com/wting/%{name}/archive/release-v%{version}/%{name}-%{version}.tar.gz
Patch0:		remove-homebrew-check.patch
BuildArch:	noarch
BuildRequires:	python3-devel
BuildRequires:	python3-mock

%description
autojump provides a fast way to navigate your filesystem, with a "cd command
that learns".

It works by maintaining a database of the directories you use the most from
the command line, and allows you to "jump" to frequently used directories by
typing only "j" + a small pattern.

%package zsh
Requires:       %{name} = %{version}-%{release}
Group:          Shells
Summary:        Autojump for zsh

%description zsh
autojump is a faster way to navigate your filesystem. It works by maintaining 
a database of the directories you use the most from the command line.
autojump-zsh is designed to work with zsh.

%prep
%setup -qn %{name}-release-v%{version}
%apply_patches

# Use system argparse
sed -i 's|autojump_argparse|argparse|' bin/%{name}

# Fix shebangs, non .py files need to be specified manually, so we provide bin/* as well as .
pathfix.py -i %{__python3} -pn . ./bin/*
sed -i '1{/^#!/d}' bin/%{name}_*.py

%build
#make docs


%install
%{__python3} ./install.py \
             --destdir %{buildroot} \
             --prefix usr \
             --zshshare %{buildroot}%{_datadir}/zsh/site-functions

# Do not need bundled modules
rm %{buildroot}%{_bindir}/%{name}_argparse.py

# Move modules to proper directory
mkdir -p %{buildroot}%{python3_sitelib}
mv %{buildroot}%{_bindir}/%{name}_*.py %{buildroot}%{python3_sitelib}/

%files
%{_bindir}/%{name}
%{python3_sitelib}/%{name}_data.py
%{python3_sitelib}/%{name}_match.py
%{python3_sitelib}/%{name}_utils.py
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/icon.png
%{_mandir}/man1/%{name}.1*
%config(noreplace) %{_sysconfdir}/profile.d/%{name}.sh
%config(noreplace) %{_datadir}/%{name}/%{name}.bash
%config(noreplace) %{_datadir}/%{name}/%{name}.fish

%files zsh
%config(noreplace) %{_datadir}/%{name}/%{name}.zsh
%{_datadir}/zsh/site-functions/_j


%changelog
* Fri Feb 28 2020 tex - 22.5.3-1pclos2020
- new version: 22.5.3
